package com.xy.consumer;

import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 设备下线监听消费者
 * </p>
 *
 * @author lijin
 * @since 2022-12-27
 */
@Slf4j
@Service
@AllArgsConstructor
public class DisconnectedConsumer implements MqttConsumer {

    private ConnectedConsumer connectedConsumer;

    @Override
    public boolean message(String topic, String payload) {
        log.info("设备下线监听:{}", payload);
        return connectedConsumer.exc(payload, 2);
    }
}
