package com.xy.consumer;

import cn.hutool.json.JSONObject;
import cn.hutool.json.JSONUtil;
import com.xy.producer.MqttProducer;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * 测试消费者
 */
@Slf4j
@Service
@AllArgsConstructor
public class TestUpConsumer implements MqttConsumer {

    private MqttProducer mqttProducer;

    @Override
    public boolean message(String topic, String payload) {
        log.info("测试数据：{}", payload);
        JSONObject jsonObject = JSONUtil.parseObj(payload);
        String deviceId = jsonObject.getStr("deviceId");
        jsonObject.set("time", System.currentTimeMillis());
        mqttProducer.sendToMqtt(jsonObject.toString(), String.format("%s-test-down", deviceId));
        return true;
    }
}
