package com.xy.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import lombok.Data;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * <p>
 * 设备-信息
 * </p>
 *
 * @author lijin
 * @since 2022-12-23
 */
@Data
@Accessors(chain = true)
public class DeviceInfo {

    @TableId
    private Long deviceId;

    /**
     * 设备名称
     */
    private String deviceName;

    /**
     * 设备类型
     */
    private Integer deviceType;

    /**
     * 商户设备资产编号
     */
    private String mercDeviceCode;

    /**
     * 商户id
     */
    private Long mercId;

    /**
     * 商户编码
     */
    private String mercCode;

    /**
     * 点位id
     */
    private Long placeId;

    /**
     * 线路id
     */
    private Long placeLineId;

    /**
     * 区域id
     */
    private Long districtId;

    /**
     * 激活状态
     */
    private Integer activeState;

    /**
     * 激活时间
     */
    private LocalDateTime activeTime;

    /**
     * 运营状态
     */
    private Integer busyState;

    /**
     * 显示状态
     */
    private Boolean showStatus;

    /**
     * 冻结状态
     */
    private Integer freezeStatus;

    /**
     * 设备图片
     */
    private String deviceImg;

    /**
     * 经度
     */
    private String lon;

    /**
     * 纬度
     */
    private String lat;

    /**
     * 故障等级
     */
    private Integer faultLevel;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;
}
