package com.xy.utils;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.support.SFunction;

public class AuthUtils {

    /**
     * 数据鉴权
     * 如果非管理员查询条件则function=当前登录人
     *
     * @param lambdaQueryWrapper 查询构造器
     * @param function           数据区分函数
     * @param <T>
     * @return
     */
    public static <T> boolean authByData(LambdaQueryWrapper<T> lambdaQueryWrapper, SFunction<T, ?> function) {
        boolean dataAuth = AuthorizeUtils.authByData(AuthorizeUtils.getSysId(), AuthorizeUtils.getUri());
        if (!dataAuth) {
            lambdaQueryWrapper.eq(function, AuthorizeUtils.getLoginId(Long.class));
            return false;
        }
        return true;
    }

}
