package com.xy.utils.enums;

import com.xy.service.factory.CmdService;
import com.xy.service.factory.QualityCmdServiceImpl;
import com.xy.service.factory.SetsCmdServiceImpl;
import com.xy.service.factory.TaskCmdServiceImpl;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 指令业务类型枚举
 */
@Getter
@AllArgsConstructor
public enum CmdTypeEnum {

    /**
     * 质检指令
     */
    QUALITY("quality", QualityCmdServiceImpl.class),

    /**
     * 任务指令
     */
    TASK("task", TaskCmdServiceImpl.class),

    /**
     * 设置指令
     */
    SETS("sets", SetsCmdServiceImpl.class),

    ;

    /**
     * 指令业务类型
     */
    private String cmdType;

    /**
     * 接口实现
     */
    private Class<? extends CmdService> cmdServiceClass;


    public static CmdTypeEnum getEnum(String cmdType) {
        CmdTypeEnum[] values = CmdTypeEnum.values();
        for (CmdTypeEnum qualityEnum : values) {
            if (qualityEnum.cmdType.equals(cmdType)) {
                return qualityEnum;
            }
        }
        return null;
    }
}
