package com.xy.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xy.utils.PageBean;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.time.LocalDateTime;

/**
 * <p>
 *
 * </p>
 *
 * @author lijin
 * @since 2023-01-10
 */
public class MqttAclDto {

    @Data
    @Accessors(chain = true)
    public static class Page extends Vo {

        @ApiModelProperty(value = "分页对象", required = true)
        private PageBean page;

    }

    @Data
    @Accessors(chain = true)
    public static class Save extends Vo {

        @NotBlank(message = "username不能为空")
        @ApiModelProperty(value = "连接名")
        private String username;

        @NotBlank(message = "clientid不能为空")
        @ApiModelProperty(value = "客户端ID（设备ID）")
        private String clientid;
    }

    @Data
    @Accessors(chain = true)
    public static class Update extends Vo {

        @NotNull(message = "id不能为空")
        @ApiModelProperty(value = "唯一标识")
        private Integer id;
    }

    @Data
    @Accessors(chain = true)
    public static class Vo {

        @ApiModelProperty(value = "唯一标识")
        private Integer id;

        @ApiModelProperty(value = "连接地址")
        private String ipaddress;

        @ApiModelProperty(value = "连接名")
        private String username;

        @ApiModelProperty(value = "客户端ID（设备ID）")
        private String clientid;

        private String action;

        private String permission;

        @ApiModelProperty(value = "队列（设备ID）")
        private String topic;

        @ApiModelProperty("服务器时间")
        @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
        private LocalDateTime serverDateTime;

    }

}
