package com.xy.service;

import com.xy.annotate.RestMappingController;
import com.xy.dto.DeviceInfoDto;
import com.xy.utils.R;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * <p>
 * 设备-信息 服务类
 * </p>
 *
 * @author lijin
 * @since 2022-12-23
 */
@RestMappingController("device-info")
public interface DeviceInfoService {

    /**
     * 查询对象
     *
     * @param obj
     * @return
     */
    @PostMapping("obj")
    R<DeviceInfoDto.Vo> obj(@RequestBody DeviceInfoDto.Obj obj);

    /**
     * 设备访问历史添加
     *
     * @param obj
     * @return
     */
    @PostMapping("history")
    R history(@RequestBody DeviceInfoDto.Obj obj);

    /**
     * 开门检测
     *
     * @param obj
     * @return
     */
    @PostMapping("checkOpenDoor")
    R checkOpenDoor(@RequestBody DeviceInfoDto.Obj obj);


    /**
     * 商户设备授权
     *
     * @param auth
     * @return {@link R}<{@link Boolean}>
     */
    @PostMapping("mercDeviceAuth")
    R<Boolean> mercDeviceAuth(@RequestBody @Validated DeviceInfoDto.MercDeviceAuthDto auth);


    /**
     * 集合查询
     *
     * @param dto
     * @return
     */
    @PostMapping("list")
    R<List<DeviceInfoDto.Vo>> list(DeviceInfoDto.ListDto dto);
}
